package org.ajax4jsf.bean.tree.swing;

import org.richfaces.model.SwingTreeNodeImpl;

public class Song extends SwingTreeNodeImpl {

    private String title;

    /**
     * Gets value of album field.
     * @return value of album field
     */
    public Album getAlbum() {
        return (Album) getParent();
    }

    /**
     * Set a new value for album field.
     * @param album a new value for album field
     */
    public void setAlbum(Album album) {
        setParent(album);
    }

    /**
     * Gets value of title field.
     * @return value of title field
     */
    public String getTitle() {
        return title;
    }

    /**
     * Set a new value for title field.
     * @param title a new value for title field
     */
    public void setTitle(String title) {
        this.title = title;
    }

    public String getType() {
        return "song";
    }
}
